Bug 598846 - system lockup when unplugging second monitor
system lockup when unplugging second monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 03:42 EDT by Klaasjan Brand
Modified: 2018-04-11 03:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (58.72 KB, text/plain)
2010-07-08 09:06 EDT, markm
no flags Details
Xorg.1.log (39.69 KB, text/plain)
2010-07-08 09:06 EDT, markm
no flags Details
output of dmesg (59.15 KB, text/plain)
2010-07-08 09:06 EDT, markm
no flags Details
/var/log/messages (361.85 KB, text/plain)
2010-07-08 09:07 EDT, markm
no flags Details

  None (edit)
Description Klaasjan Brand 2010-06-02 03:42:45 EDT
Description of problem:

I'm using a laptop (Intel X3100/965 graphics) with an external monitor connected to the VGA output in an extended desktop configuration (no mirroring) and desktop effects.
When unplugging the monitor the laptop panel also goes blank and system seems to be locked up.
If I manually turn the VGA monitor off (xrandr --output VGA1 --off) before unplugging it's not crashing.

Version-Release number of selected component (if applicable):

Fedora 13 as released with default Xorg driver (no xorg.conf)

How reproducible:

Everytime.

Steps to Reproduce:
1. Configure dual-head setup with laptop.
2. Unplug external monitor
  
Actual results:

Hanging system.

Expected results:

I expect the system to detect the monitor removal and turn off the output by itself.

Additional info:

Laptop is a Dell D830 with Intel 965 graphics using Fedora 13 x86_64.
Comment 2 Matěj Cepl 2010-06-02 19:02:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 markm 2010-07-08 09:05:47 EDT
My colleague has similar problem with his laptop and an external monitor, so I will answer those questions:

$ cat /etc/X11/xorg.conf
cat: /etc/X11/xorg.conf: No such file or directory

other files will follow.
Comment 4 markm 2010-07-08 09:06:11 EDT
Created attachment 430342 [details]
Xorg.0.log
Comment 5 markm 2010-07-08 09:06:29 EDT
Created attachment 430343 [details]
Xorg.1.log
Comment 6 markm 2010-07-08 09:06:55 EDT
Created attachment 430344 [details]
output of dmesg
Comment 7 markm 2010-07-08 09:07:15 EDT
Created attachment 430345 [details]
/var/log/messages
Comment 8 markm 2010-07-08 09:08:44 EDT
I think, https://bugzilla.redhat.com/show_bug.cgi?id=593741 is referring to the same issue.
Comment 9 markm 2010-07-08 09:10:11 EDT
sorry, I messed that up, those files should be attached to the bug https://bugzilla.redhat.com/show_bug.cgi?id=593741 :)
Comment 10 Bug Zapper 2011-06-02 08:23:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 13:19:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.